Sqrt
Arithmetic Operations

Pixel by pixel square root of each pixel in an image. More...

## Functions

NppStatus | nppiSqrt_8u_C1RSfs_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| One 8-bit unsigned char channel image square root, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiSqrt_8u_C1RSfs (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSqrt_8u_C1IRSfs_Ctx (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| One 8-bit unsigned char channel in place image square root, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiSqrt_8u_C1IRSfs (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSqrt_8u_C3RSfs_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Three 8-bit unsigned char channel image square root, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiSqrt_8u_C3RSfs (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSqrt_8u_C3IRSfs_Ctx (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Three 8-bit unsigned char channel in place image square root, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiSqrt_8u_C3IRSfs (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSqrt_8u_AC4RSfs_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 8-bit unsigned char channel image square root with unmodified alpha, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiSqrt_8u_AC4RSfs (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSqrt_8u_AC4IRSfs_Ctx (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 8-bit unsigned char channel in place image square root with unmodified alpha, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiSqrt_8u_AC4IRSfs (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSqrt_16u_C1RSfs_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| One 16-bit unsigned short channel image square root, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiSqrt_16u_C1RSfs (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSqrt_16u_C1IRSfs_Ctx (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| One 16-bit unsigned short channel in place image square root, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiSqrt_16u_C1IRSfs (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSqrt_16u_C3RSfs_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Three 16-bit unsigned short channel image square root, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiSqrt_16u_C3RSfs (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSqrt_16u_C3IRSfs_Ctx (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Three 16-bit unsigned short channel in place image square root, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiSqrt_16u_C3IRSfs (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSqrt_16u_AC4RSfs_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 16-bit unsigned short channel image square root with unmodified alpha, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiSqrt_16u_AC4RSfs (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSqrt_16u_AC4IRSfs_Ctx (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 16-bit unsigned short channel in place image square root with unmodified alpha, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiSqrt_16u_AC4IRSfs (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSqrt_16s_C1RSfs_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| One 16-bit signed short channel image square root, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiSqrt_16s_C1RSfs (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSqrt_16s_C1IRSfs_Ctx (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| One 16-bit signed short channel in place image square root, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiSqrt_16s_C1IRSfs (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSqrt_16s_C3RSfs_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Three 16-bit signed short channel image square root, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiSqrt_16s_C3RSfs (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSqrt_16s_C3IRSfs_Ctx (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Three 16-bit signed short channel in place image square root, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiSqrt_16s_C3IRSfs (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSqrt_16s_AC4RSfs_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 16-bit signed short channel image square root with unmodified alpha, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiSqrt_16s_AC4RSfs (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSqrt_16s_AC4IRSfs_Ctx (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor, NppStreamContext nppStreamCtx)
| Four 16-bit signed short channel in place image square root with unmodified alpha, scale by 2^(-nScaleFactor), then clamp to saturated value. More...
NppStatus | nppiSqrt_16s_AC4IRSfs (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, int nScaleFactor)
NppStatus | nppiSqrt_16f_C1R_Ctx (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 16-bit floating point channel image square root. More...
NppStatus | nppiSqrt_16f_C1R (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSqrt_16f_C1IR_Ctx (Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 16-bit floating point channel in place image square root. More...
NppStatus | nppiSqrt_16f_C1IR (Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiSqrt_16f_C3R_Ctx (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three 16-bit floating point channel image square root. More...
NppStatus | nppiSqrt_16f_C3R (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSqrt_16f_C3IR_Ctx (Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three 16-bit floating point channel in place image square root. More...
NppStatus | nppiSqrt_16f_C3IR (Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiSqrt_16f_C4R_Ctx (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 16-bit floating point channel image square root. More...
NppStatus | nppiSqrt_16f_C4R (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSqrt_16f_C4IR_Ctx (Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 16-bit floating point channel in place image square root. More...
NppStatus | nppiSqrt_16f_C4IR (Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiSqrt_32f_C1R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 32-bit floating point channel image square root. More...
NppStatus | nppiSqrt_32f_C1R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSqrt_32f_C1IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 32-bit floating point channel in place image square root. More...
NppStatus | nppiSqrt_32f_C1IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiSqrt_32f_C3R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three 32-bit floating point channel image square root. More...
NppStatus | nppiSqrt_32f_C3R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSqrt_32f_C3IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three 32-bit floating point channel in place image square root. More...
NppStatus | nppiSqrt_32f_C3IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiSqrt_32f_AC4R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 32-bit floating point channel image square root with unmodified alpha. More...
NppStatus | nppiSqrt_32f_AC4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSqrt_32f_AC4IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 32-bit floating point channel in place image square root with unmodified alpha. More...
NppStatus | nppiSqrt_32f_AC4IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiSqrt_32f_C4R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 32-bit floating point channel image square root. More...
NppStatus | nppiSqrt_32f_C4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiSqrt_32f_C4IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 32-bit floating point channel in place image square root. More...
NppStatus | nppiSqrt_32f_C4IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)

## Detailed Description

Pixel by pixel square root of each pixel in an image.

## Function Documentation

NppStatus nppiSqrt_16f_C1IR | ( | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSqrt_16f_C1IR_Ctx | ( | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit floating point channel in place image square root.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_16f_C1R | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSqrt_16f_C1R_Ctx | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit floating point channel image square root.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_16f_C3IR | ( | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSqrt_16f_C3IR_Ctx | ( | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit floating point channel in place image square root.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_16f_C3R | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSqrt_16f_C3R_Ctx | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit floating point channel image square root.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_16f_C4IR | ( | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSqrt_16f_C4IR_Ctx | ( | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit floating point channel in place image square root.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_16f_C4R | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSqrt_16f_C4R_Ctx | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit floating point channel image square root.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_16s_AC4IRSfs | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSqrt_16s_AC4IRSfs_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit signed short channel in place image square root with unmodified alpha, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_16s_AC4RSfs | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSqrt_16s_AC4RSfs_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit signed short channel image square root with unmodified alpha, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_16s_C1IRSfs | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSqrt_16s_C1IRSfs_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit signed short channel in place image square root, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_16s_C1RSfs | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSqrt_16s_C1RSfs_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit signed short channel image square root, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_16s_C3IRSfs | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSqrt_16s_C3IRSfs_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit signed short channel in place image square root, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_16s_C3RSfs | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSqrt_16s_C3RSfs_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit signed short channel image square root, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_16u_AC4IRSfs | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSqrt_16u_AC4IRSfs_Ctx | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit unsigned short channel in place image square root with unmodified alpha, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_16u_AC4RSfs | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSqrt_16u_AC4RSfs_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit unsigned short channel image square root with unmodified alpha, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_16u_C1IRSfs | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSqrt_16u_C1IRSfs_Ctx | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit unsigned short channel in place image square root, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_16u_C1RSfs | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSqrt_16u_C1RSfs_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit unsigned short channel image square root, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_16u_C3IRSfs | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSqrt_16u_C3IRSfs_Ctx | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit unsigned short channel in place image square root, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_16u_C3RSfs | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSqrt_16u_C3RSfs_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit unsigned short channel image square root, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_32f_AC4IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSqrt_32f_AC4IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 32-bit floating point channel in place image square root with unmodified alpha.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSqrt_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 32-bit floating point channel image square root with unmodified alpha.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_32f_C1IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSqrt_32f_C1IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 32-bit floating point channel in place image square root.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSqrt_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 32-bit floating point channel image square root.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_32f_C3IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSqrt_32f_C3IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 32-bit floating point channel in place image square root.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSqrt_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 32-bit floating point channel image square root.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_32f_C4IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSqrt_32f_C4IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 32-bit floating point channel in place image square root.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiSqrt_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 32-bit floating point channel image square root.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_8u_AC4IRSfs | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSqrt_8u_AC4IRSfs_Ctx | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 8-bit unsigned char channel in place image square root with unmodified alpha, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_8u_AC4RSfs | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSqrt_8u_AC4RSfs_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 8-bit unsigned char channel image square root with unmodified alpha, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_8u_C1IRSfs | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSqrt_8u_C1IRSfs_Ctx | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 8-bit unsigned char channel in place image square root, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_8u_C1RSfs | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSqrt_8u_C1RSfs_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 8-bit unsigned char channel image square root, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_8u_C3IRSfs | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSqrt_8u_C3IRSfs_Ctx | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 8-bit unsigned char channel in place image square root, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrt_8u_C3RSfs | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor
| ) |  |

NppStatus nppiSqrt_8u_C3RSfs_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 8-bit unsigned char channel image square root, scale by 2^(-nScaleFactor), then clamp to saturated value.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2018 NVIDIA Corporation